النطاقات المخصصة

GET https://snp.is/api/domains/available
curl --request GET \
--url 'https://snp.is/api/domains/available' \
--header 'Authorization: Bearer {api_key}' \
المعلمات تفاصيل الوصف
search اختياري نص سلسلة البحث.
search_by اختياري نص ما هو الحقل الذي تبحث فيه. القيم المسموح بها هي: host.
datetime_field اختياري نص القيم المسموح بها: datetime, last_datetime
datetime_start اختياري نص تصفية النتائج بدءًا من هذا التاريخ والوقت، بصيغة Y-m-d H:i:s.
datetime_end اختياري نص تصفية النتائج حتى هذا التاريخ والوقت، بصيغة Y-m-d H:i:s.
order_by اختياري نص المجال لترتيب النتائج حسبه. القيم المسموح بها هي: domain_id, datetime, last_datetime, host.
order_type اختياري نص ترتيب النتائج. القيم المسموح بها هي: ASC للترتيب التصاعدي، و DESC للترتيب التنازلي.
page اختياري عدد صحيح رقم الصفحة التي تريد النتائج منها. القيمة الافتراضية هي 1.
results_per_page اختياري عدد صحيح كم عدد النتائج التي تريدها في الصفحة. القيم المسموح بها هي: 10, 25, 50, 100, 250, 500, 1000. القيم الافتراضية هي 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "type": 1,
            "scheme": "Example",
            "host": "Example",
            "url": "https://example.com/",
            "custom_index_url": "https://example.com/",
            "custom_not_found_url": "https://example.com/",
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-10-31 10:48:41"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://snp.is/api/domains/available?page=1",
        "last": "https://snp.is/api/domains/available?page=1",
        "next": null,
        "prev": null,
        "self": "https://snp.is/api/domains/available?page=1"
    }
}
GET https://snp.is/api/domains/
curl --request GET \
--url 'https://snp.is/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
المعلمات تفاصيل الوصف
search اختياري نص سلسلة البحث.
search_by اختياري نص ما هو الحقل الذي تبحث فيه. القيم المسموح بها هي: host.
is_enabled اختياري منطقي
datetime_field اختياري نص القيم المسموح بها: datetime, last_datetime
datetime_start اختياري نص تصفية النتائج بدءًا من هذا التاريخ والوقت، بصيغة Y-m-d H:i:s.
datetime_end اختياري نص تصفية النتائج حتى هذا التاريخ والوقت، بصيغة Y-m-d H:i:s.
order_by اختياري نص المجال لترتيب النتائج حسبه. القيم المسموح بها هي: domain_id, datetime, last_datetime, host.
order_type اختياري نص ترتيب النتائج. القيم المسموح بها هي: ASC للترتيب التصاعدي، و DESC للترتيب التنازلي.
page اختياري عدد صحيح رقم الصفحة التي تريد النتائج منها. القيمة الافتراضية هي 1.
results_per_page اختياري عدد صحيح كم عدد النتائج التي تريدها في الصفحة. القيم المسموح بها هي: 10, 25, 50, 100, 250, 500, 1000. القيم الافتراضية هي 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "scheme": "Example",
            "host": "Example",
            "custom_index_url": "https://example.com/",
            "custom_not_found_url": "https://example.com/",
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-10-31 10:48:41"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://snp.is/api/domains?page=1",
        "last": "https://snp.is/api/domains?page=1",
        "next": null,
        "prev": null,
        "self": "https://snp.is/api/domains?page=1"
    }
}
GET https://snp.is/api/domains/{domain_id}
curl --request GET \
--url 'https://snp.is/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "scheme": "Example",
        "host": "Example",
        "custom_index_url": "https://example.com/",
        "custom_not_found_url": "https://example.com/",
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-10-31 10:48:41"
    }
}
POST https://snp.is/api/domains
المعلمات تفاصيل الوصف
host مطلوب نص -
custom_index_url اختياري نص -
custom_not_found_url اختياري نص -
scheme اختياري نص -
curl --request POST \
--url 'https://snp.is/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "scheme": "Example",
        "host": "Example",
        "custom_index_url": "https://example.com/",
        "custom_not_found_url": "https://example.com/",
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-10-31 10:48:41"
    }
}
POST https://snp.is/api/domains/{domain_id}
المعلمات تفاصيل الوصف
host اختياري نص -
custom_index_url اختياري نص -
custom_not_found_url اختياري نص -
scheme اختياري نص -
curl --request POST \
--url 'https://snp.is/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "scheme": "Example",
        "host": "Example",
        "custom_index_url": "https://example.com/",
        "custom_not_found_url": "https://example.com/",
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-10-31 10:48:41"
    }
}
DELETE https://snp.is/api/domains/{domain_id}
curl --request DELETE \
--url 'https://snp.is/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \